Subject: [bug#47661] [PATCH 00/33] Improve Emacs UX.

From: Leo Prikler <[email-masked]>
Date: Tue, 04 May 2021 08:38:59 +0200

Hi Arun,

Am Dienstag, den 04.05.2021, 10:43 +0530 schrieb Arun Isaac:
> In guix/build/emacs-build-system.scm, is the comment before %install-
> dir
> still consistent with your changes? It seems to describe the old
> system
> when all files were installed into site-lisp.
> 
> --8<---------------cut here---------------start------------->8---
> ;;; All the packages are installed directly under site-lisp, which
> means that
> ;;; having that directory in the EMACSLOADPATH is enough to have them
> found by
> ;;; Emacs.
> (define %install-dir "/share/emacs/site-lisp")
> --8<---------------cut here---------------end--------------->8---

Thanks for pointing this out.  How would

--8<---------------cut here---------------start------------->8---
;;; The location in which Emacs looks for packages.  Emacs Lisp code,
that is
;;; installed there directly will be found when that directory is added
to
;;; EMACSLOADPATH.  To avoid clashes between packages (particularly
considering
;;; auxiliary files), we install them one directory level below,
however.
;;; This indirection is handled by ‘expand-load-path’ during build and
a
;;; profile hook otherwise.
(define %install-dir "/share/emacs/site-lisp")
--8<---------------cut here---------------end--------------->8---

sound?